View Issue Details

IDProjectCategoryView StatusLast Update
0022913mantisbtemailpublic2017-09-03 18:41
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version2.4.1 
Target Version2.6.0Fixed in Version2.6.0 
Summary0022913: Update disposable-email-checker to v3.0.1 using Composer
Description
  • Use Composer instead of git submodule.
  • Upgrade from 2.x to 3.0.1.

The 3.x release has a very big increase in # of disposable domains.

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master 767a9475

2017-05-21 22:25:46

vboctor

Details Diff
Use disposable-email-checker v3 via Composer

Fixes 0022913
mod - .gitmodules Diff File
mod - composer.json Diff File
mod - composer.lock Diff File
mod - core.php Diff File
mod - core/email_api.php Diff File
mod - library/README.md Diff File
rm - library/disposable Diff File
mod - scripts/travis_before_script.sh Diff File

MantisBT: master e7d5e46a

2017-08-02 10:50:37

dregad

Details Diff
Add former Submodules to .gitignore

Following the move of libraries from Git Submodules to Composer and
removal of the former, their respective directories need to be ignored
to avoid risk of inadvertant updates when switching back and forth
between 2.6+ and older branches.

Issues 0022913, 0022939, 0022940
mod - .gitignore Diff File

Issue History

Date Modified Username Field Change
2017-05-21 22:25 vboctor New Issue
2017-05-21 22:25 vboctor Status new => assigned
2017-05-21 22:25 vboctor Assigned To => vboctor
2017-05-21 22:26 vboctor Note Added: 0056934
2017-06-04 17:24 vboctor Changeset attached => MantisBT master 767a9475
2017-06-04 17:24 vboctor Status assigned => resolved
2017-06-04 17:24 vboctor Resolution open => fixed
2017-06-04 17:24 vboctor Fixed in Version => 2.6.0
2017-06-04 17:49 vboctor Target Version => 2.6.0
2017-08-02 11:20 dregad Changeset attached => MantisBT master e7d5e46a
2017-09-03 18:41 vboctor Status resolved => closed